<html>
<head>
<meta charset='utf-8'>
<style>
  #mld .relation { font-variant: small-caps; font-weight: bold }
  #mld .primary { text-decoration: underline }
  #mld .foreign { font-style: oblique }
  #mld .normal { }
</style>
</head>
<body>
<div id='mld'>
<div>
  <span class='relation'>User</span> (
    <span class='primary'>username</span>,
    <span class='normal'>password</span>,
    <span class='normal'>email</span>,
    <span class='normal'>first_name</span>,
    <span class='normal'>last_name</span>,
    <span class='normal'>is_staff</span>,
    <span class='normal'>is_active</span>,
    <span class='normal'>is_superuser</span>,
    <span class='normal'>last_login</span>,
    <span class='normal'>date_joined</span>
  )
</div>
<div>
  <span class='relation'>groups</span> (
    <span class='foreign primary'>username</span>,
    <span class='foreign primary'>name</span>
  )
</div>
<!--
<div>
  <span class='relation'>Group</span> (
    <span class='primary'>name</span>
  )
</div>
-->
<div>
  <span class='relation'>user_permissions</span> (
    <span class='foreign primary'>name</span>,
    <span class='foreign primary'>username</span>
  )
</div>
<div>
  <span class='relation'>Permission</span> (
    <span class='primary'>name</span>,
    <span class='normal'>codename</span>,
    <span class='foreign'>app_label</span>
  )
</div>
<div>
  <span class='relation'>permissions</span> (
    <span class='foreign primary'>name</span>,
    <span class='foreign primary'>name.1</span>
  )
</div>
<div>
  <span class='relation'>ContentType</span> (
    <span class='primary'>app_label</span>,
    <span class='normal'>model</span>,
    <span class='normal'>name</span>
  )
</div>
</div>
</body>
</html>